Package org.bukkit.material

# Class PoweredRail

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Rails
org.bukkit.material.ExtendedRails
org.bukkit.material.PoweredRail

All Implemented Interfaces:
  `Cloneable`, `Redstone`

@Deprecated public class PoweredRail extends ExtendedRails implements Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a powered rail

## Constructor Summary

Constructors
Constructor
Description
`PoweredRail()`
Deprecated.
`PoweredRail(Material type)`
Deprecated.
`PoweredRail(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`PoweredRail`
`clone()`
Deprecated.
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`void`
`setPowered(boolean isPowered)`
Deprecated.
Set whether this PoweredRail should be powered or not.

### Methods inherited from class org.bukkit.material.ExtendedRails

`getConvertedData, isCurve, setDirection`

### Methods inherited from class org.bukkit.material.Rails

`getDirection, isOnSlope, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PoweredRail

public PoweredRail()
Deprecated.

### PoweredRail

public PoweredRail(Material type)
Deprecated.

### PoweredRail

@Deprecated public PoweredRail(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPowered

public boolean isPowered()
Deprecated.
Description copied from interface: `Redstone`
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### setPowered

public void setPowered(boolean isPowered)
Deprecated.
Set whether this PoweredRail should be powered or not.

Parameters:
  `isPowered` - whether or not the rail is powered

### clone

public PoweredRail clone()
Deprecated.

Overrides:
  `clone` in class `ExtendedRails`